Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 15 Apr 2023 16:31:10 +0000 (UTC)

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery My order #9426235708 was committed to be delivered by 2pm of 15th April. I followed up through online chat and your call centre. I am yet to get a response on delivery schedule.  Except stating sorry for the delay abd inconvenience,  there is no response on the schedule. This is a not a pleasant experience and certainly not expected here  as customer experience. Can anyone get back on delivery schedule? Even your online app is still showing ',processing '.  If u cannot deliver, let me know from where to pick up, I shall collect it. Further, please do not give options for commitment if u can't address it. The least expected is to update customer on status. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6073200